Subject: Re: [PATCH net-next v27 07/13] rtase: Implement a function to receive packets

From: Jakub Kicinski <[email-masked]>
Date: Wed, 21 Aug 2024 15:21:26 -0700

On Wed, 21 Aug 2024 09:02:41 +0000 Larry Chiu wrote:
> If all buffers are empty, it indicates that the memory allocation failed
> multiple times. Should we keep trying to allocate or just log an error 
> message and stop it?

Yes, you can keep trying to refill every time the NAPI loop exits.
That will be at most once per packet (assuming NAPI loop collected
just a single packet). I thought you wanted to return "busy" from
NAPI until memory appears. That'd be "busy polling for memory"..